import curses
from typing import Any

from .mapdisplay import MapDisplay
from .texturepack import TexturePack


class Display:
    # game is a game, can't import to avoid circulary includes
    def __init__(self, game: Any, screen: Any):
        self.screen = screen
        self.game = game
        lines = curses.LINES if screen else 4
        cols = curses.COLS * 4 // 5 if screen else 4
        self.map_display = MapDisplay(game.m,
                                      TexturePack.get_pack(
                                          game.settings.TEXTURE_PACK
                                      ),
                                      lines, cols, screen is not None)

    def refresh(self) -> None:
        self.map_display.update_pad()

    def display(self, y: int, x: int) -> None:
        self.map_display.display(y, x)
