import curses

from dungeonbattle.entities.player import Player


class StatsDisplay:
    def __init__(self, player: Player, height: int, width: int,
                 topleftx: int, toplefty: int):
        self.width = width
        self.height = height
        self.topleftx = topleftx
        self.toplefty = toplefty
        self.player = player
        self.pad = curses.newpad(height, width)

    def update_pad(self) -> None:
        string = "Player -- LVL {}  EXP {}/{}  HP {}/{}\n" \
                 "Stats : STR {}  INT {}  CHR {}  DEX {} CON {}"\
            .format(self.player.level, self.player.current_xp,
                    self.player.max_xp, self.player.health,
                    self.player.maxhealth, self.player.strength,
                    self.player.intelligence, self.player.charisma,
                    self.player.dexterity, self.player.constitution)
        self.pad.addstr(0, 0, string)

    def refresh(self) -> None:
        self.pad.clear()
        self.update_pad()
        self.pad.refresh(0, 0, self.toplefty, self.topleftx,
                         self.heigth + self.toplefty,
                         self.width + self.topleftx)
